# AUTOGENERATED! DO NOT EDIT! File to edit: ../nbs/02_word.ipynb.

# %% auto 0
__all__ = ['fmtword']

# %% ../nbs/02_word.ipynb 5
def fmtword(word: str, num: float) -> str:
    '''Convert a word to its plural form based on a numeric value.

    Parameters
    ----------
    word : str
        Word to potentially pluralize.
        
    num : float
        Numeric value to determine whether to pluralize.

    Returns
    -------
    str
        Original word or its plural form depending on the numeric value.

    Notes
    -----
    Returns the word in its original form if the number is 1. Otherwise, converts to plural.
    '''
    if num != 1:
        if word.endswith('y'): return word.removesuffix('y') + 'ies'
        else: return f'{word}s'
    return word
